Name:		qubes-dom0-meta-packages
Version:	4.1.21
Release:	1%{?dist}
Summary:	Meta packages for Qubes-specific components
BuildArch:  noarch

Group:		System Environment/Base
License:	GPLv2+
URL:		https://www.qubes-os.org/

Conflicts:  qubes-release < 4.1-0.26
Source0: %{name}-%{version}.tar.gz

BuildRequires: make

%description
Meta packages for easy maintenance of installed Qubes OS specific packages.

%package -n qubes-repo-contrib
Summary: Repository definition for packages contributed to Qubes OS

%description -n qubes-repo-contrib
Contrib repository contains packages written/adopted specifically for Qubes,
not available in upstream repositories.

%prep
%setup -q

%build

%install
# comps file
install -d -m 755 $RPM_BUILD_ROOT/usr/share/qubes
install -m 644 comps/comps-dom0.xml $RPM_BUILD_ROOT/usr/share/qubes/qubes-comps.xml

# contrib repo
make -C repos install-dom0 DESTDIR=$RPM_BUILD_ROOT

%files
/usr/share/qubes/qubes-comps.xml

%files -n qubes-repo-contrib
%config(noreplace) /etc/yum.repos.d/qubes-contrib-dom0-r4.1.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4.1-contrib-fedora
/etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-fedora

%posttrans -n qubes-repo-contrib
systemd-run --on-active=5min rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-qubes-4-contrib-fedora

%changelog
* Wed May 04 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-meta-packages.git

* Wed May 04 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e266019
- version 4.1.21

* Fri Apr 22 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cad58cf
- contrib-dom0: ensure to import key after install

* Fri Apr 22 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 92ce762
- Include Fedora 35 template

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 278dec5
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b8d7144
- Drop Travis CI

* Sat Dec 25 2021 51lieal <51lieal@ileg.al> - 4394e60
- fix codename

* Tue Nov 09 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f77553
- version 4.1.20

* Mon Oct 25 2021 Nick Davis <nick.davis@polyswarm.io> - fef4bf0
- add SOURCE_COPY_IN when distro is ubuntu

* Fri Oct 22 2021 Nick Davis <nick.davis@polyswarm.io> - f08ccf2
- add a proper make target.

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - fba41f0
- fix the makefile syntax. Add the full path to the debian directory.

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - 3252099
- restore the deps in the debian/control file. instead use sed to remove those entries only when building focal.

* Thu Oct 21 2021 Nick Davis <nick.davis@polyswarm.io> - 98b3f7c
- removed qubes-core-agent-dom0-updates and qubes-mgmt-salt-vm-connector from debian build deps.

* Sun Oct 17 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3c57cb5
- spec: add BR make

* Sun Oct 10 2021 Ivan Kardykov <49684805+jevank@users.noreply.github.com> - bbc661e
- Add SOF firmware suport

* Sat Oct 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 28717b7
- version 4.1.19

* Fri Oct 01 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - efde070
- Don’t require qubes-thunderbird on Debian, either

* Fri Oct 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 85132f9
- version 4.1.18

* Fri Oct 01 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3eed925
- Update contrib keys where no expiration has been set

* Thu Sep 30 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7b120b9
- version 4.1.17

* Tue Sep 28 2021 Ivan Kardykov <49684805+jevank@users.noreply.github.com> - 389b412
- remove annobin as required for dom0

* Sat Sep 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ba7699
- version 4.1.16

* Sat Sep 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e3d6e74
- Debian 11

* Sat Sep 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 90db181
- Fix Fedora description

* Sat Sep 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7c43eda
- Whonix 16

* Sat Sep 11 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 69a12eb
- Include qubes-gui-vnc in qubes-vm-guivm

* Tue Sep 07 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 6806472
- Thunderbird extension doesn’t actually work

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 49e8ad6
- version 4.1.15

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5804f81
- Remove dependency on xorg-x11-utils and xorg-x11-xkb-utils

* Sat Jul 10 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4166118
- version 4.1.14

* Tue Jul 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 19da8fb
- Include Fedora 34 template by default

* Sun May 30 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 710af53
- spec: disable pdf-converter for CentOS

* Tue May 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5933012
- version 4.1.12

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7fb69c2
- Revert "gitlab-ci: enable archlinux build"

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - be67b12
- spec: add BR make

* Mon Feb 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f63409d
- Switch default template to Fedora 33

* Tue Dec 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7add525
- version 4.1.11

* Tue Dec 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 96abff3
- Generate new local master key before importing qubesos keyring

* Sat Nov 28 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0dfeecc
- repo: on debian use /etc/debian_version

* Thu Nov 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4710625
- archlinux: move pacman-key after enabling repository

* Wed Nov 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 429e419
- gitlab-ci: enable archlinux build

* Tue Nov 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7a888a6
- comps: Remove unused packages from dom0

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 149aba2
- Add .gitlab-ci.yml

* Fri Nov 13 2020 Olivier MEDOC <o_medoc@yahoo.fr> - de02003
- archlinux: fix retrieving source files properly in PKGBUILD

* Sat Nov 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9482532
- archlinux: add pacman.d/*.conf include

* Sat Nov 07 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c0243b8
- Add archlinux repo config

* Mon Oct 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - baf9dfe
- archlinux: add passwordless-root package in recommended

* Mon Oct 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e69d385
- Add archlinux packaging

* Sat Sep 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 71bb9ca
- Ensure sender in dom0 and receiver in guivm

* Mon Aug 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6674cfb
- Include qubes-manager in dom0 package set

* Mon Aug 10 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 91836e6
- spec: python3.7+ is not available in CentOS7

